<!doctype html public "-//w3c//dtd html 4.0 transitional//en">
<html>
<head>
   <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
   <meta name="GENERATOR" content="Mozilla/4.7 [en] (X11; I; Linux 2.2.10 i686) [Netscape]">
   <title>JFLA 2000</title>
</head>
<body bgcolor="#FFFFFF">

<center>
<h1>
JFLA 2000: relecture du papier 4</h1></center>
Numero du papier: 4
<p>Titre du papier: M&eacute;thodologie de d&eacute;veloppement d'un outil
d'&eacute;valuation de la s&ucirc;ret&eacute; du logiciel en OCaml
<p>Auteurs:P. Ayrault, T. Hardin, M. Guesdon
<p>Nom du rapporteur: E. Ledinot
<p>Confiance en la note: 3
<p>Notation du papier: 4
<p>Commentaires aux auteurs:
<p>&nbsp;Dans l'ensemble le papier est clair et la pr&eacute;sentation
bien &eacute;quilibr&eacute; entre le but poursuivi (le d&eacute;veloppement
de l'outillage supportant la m&eacute;thode AGFL) et les moyens choisis
pour l'atteindre: OCaml et Coq. Il est convaicant surtout par l'ampleur
de l'engagement sur Ocaml, qui plus est sur le fragment purement fonctionnel
d'Ocaml. On sent un effort d'objectivit&eacute; dans l'analyse des avantages
et inconv&eacute;nients du choix d'OCaml.
<p>Les arguments en faveur de Coq expos&eacute;s en bas de la page 3 m'am&egrave;nent
&agrave; poser deux questions.
<br>- "il permet de d&eacute;crire des structures r&eacute;cursives tr&egrave;s
compliqu&eacute;es, ce que n'autorisent pas les ateliers commercialis&eacute;s
de preuve". Certes l'atelier B ne traite pas les types r&eacute;cursifs,
mais la primitive Fixpoint de Coq impose des limites assez fortes (recursion
structurale et non generale, conditions de positivit&eacute; etc). N'avez
vous jamais trouv&eacute; Coq trop limit&eacute; ou trop dur &agrave; utiliser
sur les structures r&eacute;cursives de vos applications OCaml ?
<br>- "il permet de refaire automatiquement la preuve ...., car la preuve
est un objet de premiere classe". Je ne comprends pas ce point, pouvez
vous l'expliciter un peu ? En g&eacute;n&eacute;ral une modification impose
de retoucher manuellement les scripts de preuve pour que ca compile de
nouveau.
<p>Dans la section perspective, il semble qu'il n'y ait aucune perspective
relative &agrave; l'utilisation de Coq. Est-ce le cas, ou un oubli ?
<p>Pour la forme: - il y a une coquille &agrave; l'avant derni&egrave;re
ligne du 4.2.3 "et de choisi ensuite"
<p>Commentaires reserves au comite de programme:
<p>&nbsp;Dans la rubrique "applications industrielles de la programmation
fonctionnelle" ce papier me parait convaincant du point de vue de l'engagement
sur Ocaml: - taille du code de l'outil AGFL - outils d&eacute;velopp&eacute;s
autour d'OCaml pour suppl&eacute;er au manque d'environnement de programmation.
- utilisation conjointe de Coq pour v&eacute;rifier des fonctions du noyau.
<p>Cet ensemble de chose justifie la s&eacute;lection de ce papier si c'est
le premier du genre. Si SURLOG en envoie un du m&ecirc;me type depuis JFLA95,
il faudra en d&eacute;lb&eacute;rer. Il y a deux ou trois points que je
n'ai pas compris, dont certains font l'objet de questions aux auteurs.
</body>
</html>
